*/**************************************************/
*/* rct_lnk.asm  v1.5 (24.06.1991)		   */
*/*						   */
*/* von Jrgen Haage				   */
*/* (c) MAXON Computer GmbH			   */
*/**************************************************/

	XREF	_RctBase
	XDEF	_rctload
	XDEF	_rctfree
	XDEF	_rctaddr
	XDEF	_reqcenter
	XDEF	_reqdraw
	XDEF	_reqend
	XDEF	_getreqstruct
	XDEF	_setreqstruct
	XDEF	_setreqtext
	XDEF	_getreqtext
	XDEF	_gettextstruct
	XDEF	_settextstruct
	XDEF	_setgadtext
	XDEF	_getgadtext
	XDEF	_getgadstruct
	XDEF	_setgadstruct
	XDEF	_redrawgadgets
	XDEF	_redrawgad
	XDEF	_aktivegad
	XDEF	_setstrgadtext
	XDEF	_getstrgadtext
	XDEF	_setstrgadstruct
	XDEF	_getstrgadstruct
	XDEF	_setpropgadstruct
	XDEF	_getpropgadstruct
	XDEF	_menudraw
	XDEF	_menuend
	XDEF	_setmenutitle
	XDEF	_getmenutitle
	XDEF	_setmenustruct
	XDEF	_getmenustruct
	XDEF	_setmenuitext
	XDEF	_getmenuitext
	XDEF	_setmenuitemstruct
	XDEF	_getmenuitemstruct
	XDEF	_setmenustext
	XDEF	_getmenustext
	XDEF	_setmenusubstruct
	XDEF	_getmenusubstruct
	XDEF	_reqdrawwindow
	XDEF	_reqwait
	XDEF	_showscreen
	XDEF	_remscreen
	XDEF	_form_alert
	XDEF	_filer
	XDEF	_filercachefree
	XDEF	_waitall
	XDEF	_gaddrawwindow
	XDEF	_getpattern

CSEG

_rctload:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	move.l	8(a7),a0
	jsr	-30(a6)
	movea.l (a7)+,a6
	rts
_rctfree:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	move.l	8(a7),a0	; LoaderBase
	jsr	-36(a6)
	movea.l (a7)+,a6
	rts
_rctaddr:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	move.l	8(a7),a0	; LoaderBase
	movem.l 12(a7),d0-d1	; ART und REQUESTER- o. MENUE-ID
	jsr	-42(a6)
	movea.l (a7)+,a6
	rts
_reqcenter:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	movem.l 8(a7),a0-a2	; LoaderBase, Requester und Window
	jsr	-48(a6)
	movea.l (a7)+,a6
	rts
_reqdraw:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	movem.l 8(a7),a0-a2	; LoaderBase, Requester und Window
	jsr	-54(a6)
	movea.l (a7)+,a6
	rts
_reqend:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	movem.l 8(a7),a0-a2	; LoaderBase, Requester und Window
	jsr	-60(a6)
	movea.l (a7)+,a6
	rts
_getreqstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6	; LibBase
	movem.l 8(a7),a0-a1	; Loaderbase und Requester
	movem.l 16(a7),d0	; GADGET-ID
	jsr	-66(a6)
	movea.l (a7)+,a6
	rts
_setreqstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-72(a6)
	movea.l (a7)+,a6
	rts
_setreqtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	move.l	20(a7),a2
	jsr	-78(a6)
	movea.l (a7)+,a6
	rts
_getreqtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-84(a6)
	movea.l (a7)+,a6
	rts
_gettextstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-90(a6)
	movea.l (a7)+,a6
	rts
_settextstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-96(a6)
	movea.l (a7)+,a6
	rts
_setgadtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	move.l	20(a7),a2
	jsr	-102(a6)
	movea.l (a7)+,a6
	rts
_getgadtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-108(a6)
	movea.l (a7)+,a6
	rts
_getgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-114(a6)
	movea.l (a7)+,a6
	rts
_setgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-120(a6)
	movea.l (a7)+,a6
	rts
_redrawgadgets:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-126(a6)
	movea.l (a7)+,a6
	rts
_redrawgad:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-132(a6)
	movea.l (a7)+,a6
	rts
_aktivegad:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-138(a6)
	movea.l (a7)+,a6
	rts
_setstrgadtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	move.l	20(a7),a2
	jsr	-144(a6)
	movea.l (a7)+,a6
	rts
_getstrgadtext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-150(a6)
	movea.l (a7)+,a6
	rts
_setstrgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-156(a6)
	movea.l (a7)+,a6
	rts
_getstrgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-162(a6)
	movea.l (a7)+,a6
	rts
_setpropgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-168(a6)
	movea.l (a7)+,a6
	rts
_getpropgadstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d1
	jsr	-174(a6)
	movea.l (a7)+,a6
	rts
_menudraw:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a2
	jsr	-180(a6)
	movea.l (a7)+,a6
	rts
_menuend:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a2
	jsr	-186(a6)
	movea.l (a7)+,a6
	rts
_setmenutitle:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	move.l	20(a7),a2
	jsr	-192(a6)
	movea.l (a7)+,a6
	rts
_getmenutitle:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	move.l	16(a7),d0
	jsr	-198(a6)
	movea.l (a7)+,a6
	rts
_setmenustruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l  16(a7),d0-d2
	jsr	-204(a6)
	movea.l (a7)+,a6
	rts
_getmenustruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l  16(a7),d0-d1
	jsr	-210(a6)
	movea.l (a7)+,a6
	rts
_setmenuitext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l  16(a7),d0-d1
	move.l	24(a7),a2
	jsr	-216(a6)
	movea.l (a7)+,a6
	rts
_getmenuitext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l  16(a7),d0-d1
	jsr	-222(a6)
	movea.l (a7)+,a6
	rts
_setmenuitemstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l  16(a7),d0-d3
	jsr	-228(a6)
	movea.l (a7)+,a6
	rts
_getmenuitemstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-234(a6)
	movea.l (a7)+,a6
	rts
_setmenustext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	move.l	24(a7),a2
	jsr	-240(a6)
	movea.l (a7)+,a6
	rts
_getmenustext:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d2
	jsr	-246(a6)
	movea.l (a7)+,a6
	rts
_setmenusubstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d4
	jsr	-252(a6)
	movea.l (a7)+,a6
	rts
_getmenusubstruct:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a1
	movem.l 16(a7),d0-d3
	jsr	-258(a6)
	movea.l (a7)+,a6
	rts
_reqdrawwindow:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a3
	jsr	-264(a6)
	movea.l (a7)+,a6
	rts
_reqwait:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a2
	jsr	-270(a6)
	movea.l (a7)+,a6
	rts
_showscreen:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	move.l	8(a7),a0
	movem.l 12(a7),d0-d1
	move.l	20(a7),a1
	jsr	-276(a6)
	movea.l (a7)+,a6
	rts
_remscreen:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l  8(a7),a0-a1
	jsr	-282(a6)
	movea.l (a7)+,a6
	rts
_form_alert:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	move.l	8(sp),d0
	move.l	12(sp),a0
	jsr	-288(a6)
	movea.l (a7)+,a6
	rts
_filer:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	move.l	8(sp),a0
	jsr	-294(a6)
	movea.l (a7)+,a6
	rts
_filercachefree:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	move.l	8(sp),a0
	jsr	-300(a6)
	movea.l (a7)+,a6
	rts
_waitall:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(sp),a0-a1
	jsr	-306(a6)
	movea.l (a7)+,a6
	rts
_gaddrawwindow:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(a7),a0-a3
        movem.l 24(a7),d0-d1
	jsr	-312(a6)
	movea.l (a7)+,a6
	rts
_getpattern:
	move.l	a6,-(a7)
	movea.l _RctBase,a6
	movem.l 8(sp),a0/d0
	jsr	-318(a6)
	movea.l (a7)+,a6
	rts
	end
